Subject: Re: bug#9768: Makefile broken after removing included *.am file

From: "Ralf Wildenhues" <[email-masked]>
Date: Wed, 19 Oct 2011 21:06:54 +0200

* Stefano Lattarini wrote on Mon, Oct 17, 2011 at 10:20:05AM CEST:
> On Sunday 16 October 2011, Ralf Wildenhues wrote:
> > What happens if I write
> >   include fragment-with-typo-in-name.am
> > 
> > but I want that fragment included?
> >
> I fear I cannot parse this question... Do you mean that you want to
> include the file `bar.am' but erronously write "include baz.am" in your
> Makefile.am instead?  In this case, automake will obviously complain
> and bail out, as it did before my patch (in fact, said patch doesn't
> touch the automake script at all, so this invariance of its behaviour 
> should be obvious).

Alright.  The first time you write the include line and invoke automake,
it will bail out if there is a typo.

But if the fragment file is later (re)moved, and you type 'make' again,
you will not get an error, as automake will not be rerun automatically.
Only when automake is invoked manually, or triggered by some other
out of date file, will the error be noticed.

Taken a step further, if some fragment file for some reason does not
get included in a release tarball, then the developer might not see
that during testing, but users will miss a file needed to tinker with
the package.

Am I missing something?

Thanks,
Ralf